Wine > 4.2 and Ubuntu 18.04 (Bionic)

Questions about Wine on Linux
Post Reply
Cybermax
Level 4
Level 4
Posts: 215
Joined: Fri Dec 01, 2017 5:26 pm

Wine > 4.2 and Ubuntu 18.04 (Bionic)

Post by Cybermax » Fri Mar 01, 2019 4:19 pm

I notice some recent commits have added FAudio. This is great news imo.

However, there is a small problem with Ubuntu 18.04 (and 18.10) that building FAudio from GIT requires SDL2 >=2.0.9. Ubuntu 18.04/18.10 only comes with 2.0.8.

So, to try help out, i did a backport of the Disco SDL2 version (libsdl2-2.0-0_2.0.9+dfsg1-1ubuntu1 + libsdl2-dev_2.0.9+dfsg1-1ubuntu1) package for Bionic, and made a package for FAudio 19.03 (libfaudio + libfaudio-dev).
Those with Ubuntu 18.04 can grab it by:

Code: Select all

sudo add-apt-repository ppa:cybermax-dexter/sdl2-backport
sudo apt-get update
To install SDL2 2.0.9 + sdl2-dev :

Code: Select all

sudo apt install libsdl2-2.0-0 libsdl2-2.0-0:i386 libsdl2-dev
If you want FAudio:

Code: Select all

sudo apt install libfaudio libfaudio:i386 libfaudio-dev
Let me know if this does not work. I will probably add FAudio for Cosmic and Disco aswell if there is interest in that. Atleast until it gets added in some official repo's.

User avatar
dimesio
Moderator
Moderator
Posts: 12841
Joined: Tue Mar 25, 2008 10:30 pm

Re: Wine > 4.2 and Ubuntu 18.04 (Bionic)

Post by dimesio » Fri Mar 01, 2019 5:19 pm

FYI, the WineHQ packages can only be built with Faudio support for distros that provide the Faudio development headers in their standard or update repositories. At present, this is none of them.

vyo1993
Newbie
Newbie
Posts: 1
Joined: Sat Mar 02, 2019 6:54 am

Re: Wine > 4.2 and Ubuntu 18.04 (Bionic)

Post by vyo1993 » Sat Mar 02, 2019 6:56 am

Thank you! Can you, please, also make cosmic libfaudio? Thanks?
Also, where can I get sources for now? Can't find them anywhere…

Cybermax
Level 4
Level 4
Posts: 215
Joined: Fri Dec 01, 2017 5:26 pm

Re: Wine > 4.2 and Ubuntu 18.04 (Bionic)

Post by Cybermax » Sun Mar 03, 2019 7:09 am

vyo1993 wrote:Thank you! Can you, please, also make cosmic libfaudio? Thanks?
Also, where can I get sources for now? Can't find them anywhere…
Added SDL2-2.0.9 + libfaudio for Cosmic.
FAudio git is: https://github.com/FNA-XNA/FAudio

I see wine-staging-4.3 reverts libfaudio patches with the reason "Fixes: Revert FAduio patches to package isssue with faudio not being availabe for most distro's."
ref: https://github.com/wine-staging/wine-st ... definition

So if you want to build wine-staging-4.3 WITH the new faudio, you have to use:

Code: Select all

patchinstall.sh DESTDIR="wine-4.3/" --all -W xaudio2-revert -W xaudio2_CommitChanges -W xaudio2_7-WMA_support -W xaudio2_7-CreateFX-FXEcho
That ofc requires the usage of libfaudio library, and to build libfaudio without errors, you need SDL2-2.0.9.

Probably will pop up for various "souce-distro's" like Arch and Gentoo fast if its not already there with some pkg-build :)

chrisp1948
Level 1
Level 1
Posts: 6
Joined: Mon Dec 12, 2016 6:43 pm
Location: Copperas Cove, Tx

Re: Wine > 4.2 and Ubuntu 18.04 (Bionic)

Post by chrisp1948 » Sat Mar 30, 2019 4:30 pm

Running Ubuntu 18.04.2 LTS. Followed your instructions, added your ppa because I was getting an error when trying to upgrade from wine-devel from 4.4~bionic to 4.5~bionic. The output was that libfaudio0:amd64 is required. So, following your examples ran

Code: Select all

sudo apt install libsdl2-2.0-0 libsdl2-2.0-0:i386 libsdl2-dev
sudo apt install libfaudio libfaudio:i386 libfaudio-dev
I now have these programs that are available for upgrade

Code: Select all

   ffmpeg 	amd64 Tools for transcoding, streaming and playing of multimedia files 	New version 4.1.2-0ppa1~18.04 	Bionic-security
	libavcodec-extra 	all FFmpeg library with extra codecs (metapackage) 	New version 4.1.2-0ppa1~18.04 	Bionic-security
	libchromaprint1 	amd64 audio fingerprint library 	New version 1.4.3-3~bionic1 	Bionic
	wine-devel 	amd64 WINE Is Not An Emulator - runs MS Windows programs 	New version 4.5~bionic 	Bionic
	wine-devel-amd64 	amd64 WINE Is Not An Emulator - runs MS Windows programs 	New version 4.5~bionic 	Bionic
	wine-devel-i386 	i386 WINE Is Not An Emulator - runs MS Windows programs 	New version 4.5~bionic 	Bionic
I use Webmin for all my updating, this is the output I now get:

Code: Select all

dpkg: dependency problems prevent configuration of libfaudio-dev:amd64:
 libfaudio-dev:amd64 depends on libfaudio0 (= 19.03-bionic~8ppa1); however:
  Package libfaudio0:amd64 is not installed.

dpkg: error processing package libfaudio-dev:amd64 (--configure):
 dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Errors were encountered while processing:
 libfaudio-dev:amd64
Reading package lists...
Building dependency tree...
Reading state information...
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 ffmpeg : Depends: libavdevice58 (= 7:4.1.2-0ppa1~18.04) but it is not going to be installed
          Depends: libavfilter7 (= 7:4.1.2-0ppa1~18.04)
          Depends: libavformat58 (= 7:4.1.2-0ppa1~18.04) but it is not going to be installed
          Depends: libavresample4 (= 7:4.1.2-0ppa1~18.04) but it is not going to be installed
          Depends: libpostproc55 (= 7:4.1.2-0ppa1~18.04) but it is not going to be installed
          Depends: libswscale5 (= 7:4.1.2-0ppa1~18.04) but it is not going to be installed
 libavcodec-extra : Depends: libavcodec-extra58 but it is not going to be installed
 libfaudio-dev : Depends: libfaudio0 (= 19.03-bionic~8ppa1) but it is not going to be installed
 wine-devel-amd64 : Depends: libfaudio0 but it is not going to be installed
 wine-devel-i386:i386 : Depends: libfaudio0:i386 but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

.. install failed!
Running apt --fix-broken install

Code: Select all

sudo apt --fix-broken install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  libfaudio0
The following NEW packages will be installed:
  libfaudio0
0 upgraded, 1 newly installed, 0 to remove and 6 not upgraded.
1 not fully installed or removed.
Need to get 0 B/93.4 kB of archives.
After this operation, 267 kB of additional disk space will be used.
Do you want to continue? [Y/n] 
(Reading database ... 565499 files and directories currently installed.)
Preparing to unpack .../libfaudio0_19.03-bionic~8ppa1_amd64.deb ...
Unpacking libfaudio0:amd64 (19.03-bionic~8ppa1) ...
dpkg: error processing archive /var/cache/apt/archives/libfaudio0_19.03-bionic~8ppa1_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/x86_64-linux-gnu/libFAudio.so.0.19.03', which is also in package libfaudio:amd64 19.03-bionic~5ppa3
Errors were encountered while processing:
 /var/cache/apt/archives/libfaudio0_19.03-bionic~8ppa1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
The .deb packages are still in /var/cache/apt/archives. Is there a way to run dpkg -i on them to correct this?

chrisp1948
Level 1
Level 1
Posts: 6
Joined: Mon Dec 12, 2016 6:43 pm
Location: Copperas Cove, Tx

Re: Wine > 4.2 and Ubuntu 18.04 (Bionic)

Post by chrisp1948 » Sat Mar 30, 2019 5:03 pm

Apologies for the noise. I did some more Googling after I wrote the above and found that by running sudo dpkg -i --force-overwrite and then sudo apt -f install I was able to get everything installed. Odd though that I've never run across this issue in previous upgrades of wine-devel packages though.

User avatar
dimesio
Moderator
Moderator
Posts: 12841
Joined: Tue Mar 25, 2008 10:30 pm

Re: Wine > 4.2 and Ubuntu 18.04 (Bionic)

Post by dimesio » Sat Mar 30, 2019 9:31 pm

chrisp1948 wrote: Odd though that I've never run across this issue in previous upgrades of wine-devel packages though.
Wine packages prior to 4.5 were built without FAudio support. viewtopic.php?f=8&t=32192

Post Reply